> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# mailing

> All mailings - history ids

## "mailing" MDO List

All mailings - history ids

Implemented by the <see cref="T:SuperOffice.CRM.Lists.MailingProvider">MailingProvider</see> class.
The name of the MDO list is 'mailing'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/mailing
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("mailing", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "mailingheadings"
* "mailingheadingswithallitem"
* "mailingheadingswithallitemwithnoselection"
* "mailingheadingswithnoselection"
* "mailingwithallitem"
* "mailingwithallitemwithnoselection"
* "mailingwithnoselection"


## Related topics

- [Mailings](/en/api/archive-providers/reference/mailings.md)
- [Work with mailings](/en/marketing/mailing/learn/index.md)
- [Create mailing](/en/search-options/selection/learn/howto/create-mailings.md)
- [Dashboard for mailings](/en/dashboard/learn/show-marketing.md)
- [MailingsAndFolders](/en/api/archive-providers/reference/mailingsandfolders.md)
- [MailingFolders](/en/api/archive-providers/reference/mailingfolders.md)
